package com.tmobile.pacman.api.vulnerability.domain;

import java.util.HashMap;
import java.util.Map;

import com.google.common.base.Joiner;

public class VulnerabilityRequest {
	/** The searchtext. */
	private String searchtext = null;

	/** The from. */
	private int from;

	/** The size. */
	private int size;

	/** The severity filter. */
	private Map<String, String> severityFilter;
	/** The application filter. */
	String applicationFilter;
	/** The environment filter. */
	String environmentFilter;

	/** The ag. */
	private String ag;

	/**
	 * Instantiates a new request.
	 *
	 * @param searchtext
	 *            the searchtext
	 * @param from
	 *            the from
	 * @param size
	 *            the size
	 * @param filter
	 *            the filter
	 * @param ag
	 *            the ag
	 */
	public VulnerabilityRequest(String searchtext, int from, int size, Map<String, String> severityFilter,
			String environmentFilter, String applicationFilter, String ag) {
		super();
		this.searchtext = searchtext;
		this.from = from;
		this.size = size;
		this.severityFilter = severityFilter;
		this.applicationFilter = applicationFilter;
		this.environmentFilter = environmentFilter;
		this.ag = ag;
	}

	/**
	 * Instantiates a new request.
	 */
	public VulnerabilityRequest() {
		super();
	}

	/**
	 * this is used to cache the response.
	 *
	 * @return the key
	 */
	public String getKey() {
		return ag + searchtext + Joiner.on("_").withKeyValueSeparator("-")
				.join(severityFilter == null ? new HashMap<String, String>() : severityFilter) + from + "" + size;
	}

	/**
	 * Gets the ag.
	 *
	 * @return the ag
	 */
	public String getAg() {
		return ag;
	}

	/**
	 * Sets the ag.
	 *
	 * @param ag
	 *            the new ag
	 */
	public void setAg(String ag) {
		this.ag = ag;
	}

	/**
	 * Gets the searchtext.
	 *
	 * @return the searchtext
	 */
	public String getSearchtext() {
		return searchtext;
	}

	/**
	 * Sets the searchtext.
	 *
	 * @param searchtext
	 *            the new searchtext
	 */
	public void setSearchtext(String searchtext) {
		this.searchtext = searchtext;
	}

	/**
	 * Gets the from.
	 *
	 * @return the from
	 */
	public int getFrom() {
		return from;
	}

	/**
	 * Sets the from.
	 *
	 * @param from
	 *            the new from
	 */
	public void setFrom(int from) {
		this.from = from;
	}

	/**
	 * Gets the size.
	 *
	 * @return the size
	 */
	public int getSize() {
		return size;
	}

	/**
	 * Sets the size.
	 *
	 * @param size
	 *            the new size
	 */
	public void setSize(int size) {
		this.size = size;
	}

	/**
	 * Gets the filter.
	 *
	 * @return the filter
	 */

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */

	/**
	 * @return the severityFilter
	 */

	/**
	 * @return the applicationFilter
	 */
	public String getApplicationFilter() {
		return applicationFilter;
	}

	/**
	 * @return the severityFilter
	 */
	public Map<String, String> getSeverityFilter() {
		return severityFilter;
	}

	/**
	 * @param severityFilter
	 *            the severityFilter to set
	 */
	public void setSeverityFilter(Map<String, String> severityFilter) {
		this.severityFilter = severityFilter;
	}

	/**
	 * @return the environmentFilter
	 */
	public String getEnvironmentFilter() {
		return environmentFilter;
	}

	/**
	 * @param severityFilter
	 *            the severityFilter to set
	 */

	/**
	 * @param applicationFilter
	 *            the applicationFilter to set
	 */
	public void setApplicationFilter(String applicationFilter) {
		this.applicationFilter = applicationFilter;
	}

	/**
	 * @param environmentFilter
	 *            the environmentFilter to set
	 */
	public void setEnvironmentFilter(String environmentFilter) {
		this.environmentFilter = environmentFilter;
	}
}
