/*
 *Copyright 2018 T Mobile, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not use
 * this file except in compliance with the License. A copy of the License is located at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, express or
 * implied. See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { browser, by, element, $, $$ } from 'protractor';

export class VulnerabilityReport {

    getTitle() {
        return $('.vuln-report-container .page-header-txt:nth-child(1)');
    }

    getPerformersTable() {
        return $('.vuln-report-actions .assets-details.bottom-table:nth-child(2) .sub-table-header');
    }

    getActionsToRemediate() {
        return $('.vuln-report-actions .assets-details.bottom-table:nth-child(1) .each-table-row');
    }

    getPerformers() {
        return $('.vuln-report-actions .view-all-link');
    }

    getClosePop() {
        return $('.pop-over .cross-img');
    }

    goBack() {
        return $('.page-header .goBack');
    }

    getPopHeading() {
        return $('.pop-over .popup-header .header-title');
    }

    getWorkflow() {
        return element(by.xpath('//app-vulnerability-report/div/div/div/section/div[1]/div[1]/img[2]'));
    }

    getWorkflowHeading() {
        return $('.vuln-report-workflow .header-container .page-heading');
    }

    getWorkflowClose() {
        return $('.vuln-report-workflow .header-container .close-imgicon');
    }

    getScanPercent() {
        return $('.vuln-report-stats-wrapper .desc-text .bold.darker-txt');
    }

    getAssetsScanned() {
        return $('.vuln-report-stats-wrapper .assets-scanned-wrap .assets-wrap:nth-child(1) .num-txt');
    }

    getAssetsNotScanned() {
        return $('.vuln-report-stats-wrapper .assets-scanned-wrap .assets-wrap:nth-child(2) .num-txt');
    }

    checkDistribution() {
        return $('.vul-report-distribution .vuln-distribution-wrapper .each-donut:nth-child(1) .table-wrapper table span.first-table-data');
    }

    checkTrend() {
        return $('.vuln-report-trend .vuln-trend-wrapper .top-section');
    }

    filterClick() {
        return element(by.xpath('//app-vulnerability-report/div/div/div/header/div[2]/div[2]/label'));
    }

    applyClick() {
        return element(by.xpath('//app-vulnerability-report/div/div/div/header/div[2]/div[5]'));
    }

    getAgSelected() {
        return $('.vuln-report-header .page-header-txt.capitalize.bold');
    }

    getPrint() {
        return $('.vuln-report-container .vuln-report-header img.download-img');
    }

    getTotalVulnerabilities() {
        return $('.vuln-report-summary .assets-details .each-detail:nth-child(1) .details-num');
    }

    getTotalAssets() {
        return $('.vuln-report-summary .assets-details .each-detail:nth-child(2) .details-num');
    }

    getTotalOccurrences() {
        return $('.vuln-report-summary .assets-details .each-detail:nth-child(3) .details-num');
    }

    getDonuts() {
        return $$('.vul-report-distribution .vuln-distribution-wrapper .each-donut');
    }

    getDonutCenter(i) {
        return $('.vul-report-distribution .vuln-distribution-wrapper .each-donut:nth-child(' + i + ') .graph-outer-container .center-text');
    }

    getDynamicElement(i, j, k) {
        return $('.vul-report-distribution .vuln-distribution-wrapper .each-donut:nth-child(' + i + ') .table-wrapper table tr:nth-child(' + j + ') td:nth-child(' + k + ')');
    }

}
